<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}
// ----[ Check log-in ]-------------------------------------
$roster_login = new RosterLogin($script_filename);
 
// Disallow viewing of the page
if( !$roster_login->getAuthorized() )
{
	include_once (ROSTER_BASE.'roster_header.tpl');
	include_once (ROSTER_LIB.'menu.php');
 
	print	$roster_login->getMessage().$roster_login->getLoginForm();
 
	include_once (ROSTER_BASE.'roster_footer.tpl');
 
	return;
}
else
{



if ($roster_conf['sqldebug'])
{
	print "<!-- $query -->\n";
}

$header_title = $wordings[$roster_conf['roster_lang']]['witchHunt']['title'];

//select all main chars from ROSTER_PLAYERSTABLE and ROSTER_MEMBERSTABLE (in this case guildrank<=4 equals main chars you might have to change this)
$resultChar = $wowdb->query("SELECT p.dateupdatedutc, p.name, m.name, m.guild_rank FROM `".ROSTER_PLAYERSTABLE."` as p, `".ROSTER_MEMBERSTABLE."` as m where m.guild_rank<= ".$addon_conf['witchHunt']['gRank']." AND m.name=p.name ORDER BY p.dateupdatedutc Desc  ") or die(mysql_error());

echo $wordings[$roster_conf['roster_lang']]['witchHunt']['descText'];
echo $wordings[$roster_conf['roster_lang']]['witchHunt']['AlarmTime']." ".$addon_conf['witchHunt']['alarmDays']." ".$wordings[$roster_conf['roster_lang']]['witchHunt']['Alarmdays']."<br /><br />";
echo border('syellow','start',$wordings[$roster_conf['roster_lang']]['witchHunt']['updatedTitle']);
?>
<table border="0" width="100%" cellpadding="2" cellspacing="0">
<tr>
	<th align="left"><?php echo $wordings[$roster_conf['roster_lang']]['witchHunt']['numberSymbol']; ?></th>
	<th align="left" width="50%"><?php echo $wordings[$roster_conf['roster_lang']]['name']='Name'; ?></th>
	<th align="right"><?php echo $wordings[$roster_conf['roster_lang']]['lastupdate']; ?></th>
	<th align="right"><?php echo $wordings[$roster_conf['roster_lang']]['witchHunt']['slacker']; ?></th>
</tr>
<?php
	$stripe = 0;
	while( $results = $wowdb->fetch_assoc($resultChar) )
	{
		++$stripe;
		$dat1 = explode(' ',$results['dateupdatedutc']);
		$dat2 = explode('/',$dat1[0]);
		$newDate= $dat2[1].'/'.$dat2[0].'/'.$dat2[2].' '.$dat1[1];
		$timeN =  explode(':',$dat1[1]);
		$u_time = mktime($timeN[0], $timeN[1], $timeN[2], $dat2[0], $dat2[1], $dat2[2]);
		$nowTime =mktime();
		if($u_time < ($nowTime-$addon_conf['witchHunt']['alarmStamp'])){ $slacker= "<strong>".$wordings[$roster_conf['roster_lang']]['witchHunt']['slackAlarm']."</strong>";}
		else {$slacker="";}
		echo '<tr><td align="right">'.$stripe.'.</td><td align="left"><a href="/roster/char.php?name='.$results['name'].'">'.$results['name'].'</a></td><td align="right">'.$newDate.'</td><td align="center">'.$slacker.'</td></tr>';
	}
?>
</table>
<?php 
echo border('syellow','end');
?>
<br />
<?php echo border('syellow','start',$wordings[$roster_conf['roster_lang']]['witchHunt']['nouploadTitle']); ?>
<table border="0" width="100%" cellpadding="2" cellspacing="0">   
<tr>      
	<th align="left"><?php echo $wordings[$roster_conf['roster_lang']]['witchHunt']['numberSymbol']; ?></th>
	<th align="left" width="100%"><?php echo $wordings[$roster_conf['roster_lang']]['name']='Name'; ?></th>
</tr>      
<?php
// selects all main chars from ROSTER_MEMBERSTABLE which are not in ROSTER_PLAYERSTABLE (hence not uploaded their profile)...(in this case guildrank<=4 equals main chars you might have to change this)
	$resultChar2 = $wowdb->query("SELECT name FROM `".ROSTER_MEMBERSTABLE."` WHERE `name` not in ( select `name` from `".ROSTER_PLAYERSTABLE."` ) AND `guild_rank` <= ".$addon_conf['witchHunt']['gRank']." ORDER BY name asc") or die(mysql_error());
	$stripe = 0;
	while( $results = $wowdb->fetch_assoc($resultChar2) )
	{
		++$stripe;
		echo '<tr class="'.$rowClass.'"><td align="right">'.$stripe.'.</td><td align="left">'.$results['name'].'</td></tr>';
	}
?>
</table>
<?php 
echo border('syellow','end');
}
// ----[ End Check log-in ]--------------------------------- 
?>
